#!/bin/sh
# pinstall.sh # pour / for Meteo-ds-le-monde
# (c) Christian L'Écuyer, alias « musher0 » (forum PuppyLinux), 
#     ... Gatineau (Qc), Canada, 23 juillet 2016. GPL3. ...
#  /usr/share/doc/meteo-tradFR/gpl3_fr.sh affichera la license.
####
fc-cache -r # pour installer la fonte requise. / To install the required font.

####
# Icone-Meteo # pour déposer l'icône sur le bureau
####
[ "`ps | grep pwidgets`" ] && PwidgetS=1 && killall -q conky
# Remove any running pwidgets.

# Prepare 
cd /root/Choices/ROX-Filer
cp -f PuppyPin PuppyPin.cdr # Copie de réserve / Back-up

HauTPPin="`wc -l < PuppyPin`";HauTPPin="`expr $HauTPPin - 1`"
head -n $HauTPPin PuppyPin > PuppyPin.tmp

# Measure screen
VertIcN="`xwininfo -root | awk '$1=="Height:" { print $2/2}'`" 
HorizIcN="`xwininfo -root | awk '$1=="Width:" { print $2/2}'`" # 8*7
# En plein milieu de l'écran. / Right in the middle of the screen.
[ "${LANG:0:2}" = "fr" ] && EtiqT="Météo" || EtiqT="Weather"

# Create new PuppyPin
echo "<icon x=\"$HorizIcN\" y=\"$VertIcN\" label=\"$EtiqT\">/usr/share/applications/Weather_around_the_World.desktop</icon>
</pinboard>" >> PuppyPin.tmp

# Enable
mv -f PuppyPin.tmp PuppyPin
rox -p /root/Choices/ROX-Filer/PuppyPin

# Restore pwidgets if they were active.
[ $PwidgetS -eq 1 ] && /root/Startup/0_show_widgets
